"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const utils_1 = require("./utils");
const env_1 = require("./env");
exports.execute = () => __awaiter(void 0, void 0, void 0, function* () {
    commander_1.default
        .option('-f, --file [file]', '.env file name.', '.env')
        .requiredOption('-t, --tag <tag>', 'tag name.')
        .option('-b, --branch [branch]', 'branch name.', 'master')
        .parse(process.argv);
    env_1.setEnv(commander_1.default.file);
    const args = utils_1.getContextArgs(commander_1.default.tag, commander_1.default.branch);
    if (!utils_1.isValidContext(args)) {
        console.log('This is not target tag');
        return;
    }
    const helper = utils_1.getGitHelper();
    yield utils_1.prepare(helper, args);
    yield utils_1.commit(helper);
    yield utils_1.push(helper, args);
});
